source "https://rubygems.org"

gem "jekyll", "~> 4.3.2"

# regressed from 3 -> 2 to support GitLab builds 
gem "jekyll-sass-converter", "~> 2.0"

# If you have any plugins, put them here!
group :jekyll_plugins do
  gem "jekyll-feed", "~> 0.12"
  # gem "jekyll-commonmark-ghpages"
  gem "jekyll-last-modified-at", git: "https://github.com/maximevaillancourt/jekyll-last-modified-at", branch: "add-support-for-files-in-git-submodules"
  gem "nokogiri" # required for digital garden / open in external links
end

# Windows and JRuby does not include zoneinfo files, so bundle the tzinfo-data gem
# and associated library.
install_if -> { RUBY_PLATFORM =~ %r!mingw|mswin|java! } do
  gem "tzinfo", "~> 1.2"
  gem "tzinfo-data"
end

# Performance-booster for watching directories on Windows
gem "wdm", "~> 0.1.1", :install_if => Gem.win_platform?

ruby '~> 2.7.6'

